cache: &global_cache
  key: ${CI_COMMIT_REF_SLUG}
  paths:
    - .yarn
    - node_modules/
  policy: pull

compile:
  image: node:alpine
  stage: .pre
  only:
    - live
  before_script:
    - apk add yarn
    - yarn install --cache-folder .yarn
  script:
    - export VUE_APP_ENVIRONMENT=$CI_COMMIT_REF_SLUG
    - yarn build
  after_script:
    - export VERSION=$(sed "s/export\ default\ \'//" release.js | sed "s/\'\;//")
    - npx sentry-cli releases set-commits --auto $VERSION
    - npx sentry-cli releases deploys $VERSION new -e $CI_COMMIT_BRANCH
  artifacts:
    expire_in: 1 week
    paths:
      - dist
  cache :
    <<: *global_cache
    policy: pull-push
  environment:
    name: live
    url: https://muavr.ru

test_deploy:
  image: node:alpine
  stage: deploy
  only:
    - live
  cache :
    <<: *global_cache
  script:
    - npx netlify deploy --dir=dist
  environment:
    name: live
    url: https://muavr.ru

deploy:
  image: node:alpine
  stage: .post
  only:
    - live
  when: manual
  cache :
    <<: *global_cache
  script:
    - npx netlify deploy --dir=dist --prod
  allow_failure: false
  environment:
    name: live
    url: https://muavr.ru

include:
  - template: Dependency-Scanning.gitlab-ci.yml
  - template: SAST.gitlab-ci.yml
